org.apache.poi.sl.usermodel

## Enum LineDecoration.DecorationSize

- java.lang.Object
- - java.lang.Enum<LineDecoration.DecorationSize>
  - - org.apache.poi.sl.usermodel.LineDecoration.DecorationSize

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LineDecoration.DecorationSize>
  Enclosing interface:
    LineDecoration

      public static enum LineDecoration.DecorationSize
      extends java.lang.Enum<LineDecoration.DecorationSize>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LARGE`
    `MEDIUM`
    `SMALL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `nativeId`
    `int` | `ooxmlId`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LineDecoration.DecorationSize` | `fromNativeId(int nativeId)`
    `static LineDecoration.DecorationSize` | `fromOoxmlId(int ooxmlId)`
    `static LineDecoration.DecorationSize` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LineDecoration.DecorationSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SMALL

          public static final LineDecoration.DecorationSize SMALL

    - #### MEDIUM

          public static final LineDecoration.DecorationSize MEDIUM

    - #### LARGE

          public static final LineDecoration.DecorationSize LARGE

  - ### Field Detail

    - #### nativeId

          public final int nativeId

    - #### ooxmlId

          public final int ooxmlId

  - ### Method Detail

    - #### values

          public static LineDecoration.DecorationSize[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LineDecoration.DecorationSize c : LineDecoration.DecorationSize.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LineDecoration.DecorationSize valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromNativeId

          public static LineDecoration.DecorationSize fromNativeId(int nativeId)

    - #### fromOoxmlId

          public static LineDecoration.DecorationSize fromOoxmlId(int ooxmlId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.